import { Camera, CameraAPI } from 'dacha';
export const getCurrentZoom = (world) => {
    var _a;
    const cameraApi = world.systemApi.get(CameraAPI);
    const cameraActor = cameraApi.getCurrentCamera();
    const camera = cameraActor === null || cameraActor === void 0 ? void 0 : cameraActor.getComponent(Camera);
    return (_a = camera === null || camera === void 0 ? void 0 : camera.zoom) !== null && _a !== void 0 ? _a : 1;
};
